Watson Data API

Introduction IMPORTANT: Watson Data API documentation is deprecated and might be out of date. The relevant functionality is now described in the following documents: 1. Common core functionality APIs for Data and AI SaaS productshttps://cloud.ibm.com/apidocs/data-ai-common-core 2. IBM Knowledge Catalog as a Service APIshttps://cloud.ibm.com/apidocs/knowledge-catalog 3. IBM watsonx.ai as a Service APIshttps://cloud.ibm.com/apidocs/watsonx-ai You can use a collection of Watson Data REST APIs associated with Watson Studio and Watson Knowledge Catalog to manage data-related assets and the people who need to use these assets. Refine data Use the sampling APIs to create representative subsets of the data on which to test and refine your data cleansing and shaping operations. To better understand the contents of your data, you can create profiles of your data assets that include a classification of the data and additional distribution information which assists in determining the data quality. Catalog data Use the catalog APIs to create catalogs to administer your assets, associate properties with those assets, and organize the users who use the assets. Assets can be notebooks or connections to files, database sources, or data assets from a connection. Data policies Use the data policy APIs to implement data policies and a business glossary that fits to your organization to control user access rights to assets and to make it easier to find data. Ingest streaming data Use the streams flow APIs to hook up continuous, unidirectional flows of massive volumes of moving data that you can analyze in real time. API Endpoint https://api.dataplatform.cloud.ibm.com Creating an IAM bearer token Before you can call a Watson Data API you must first create an IAMhttps://cloud.ibm.com/docs/account?topic=account-iamoverview bearer token. Each token is valid only for one hour, and after a token expires you must create a new one if you want to continue using the API. The recommended method to retrieve a token programmatically is to create an API key for your IBM Cloud identity and then use the IAM token API to exchange that key for a token. You can create a token in IBM Cloud or by using the IBM Cloud command line interface CLI. To create a token in the IBM Cloud: 1. Log in to IBM Cloudhttps://cloud.ibm.com/ and select Manage Access IAM API keys. 2. Create an API key for your own personal identity, copy the key value, and save it in a secure place. After you leave the page, you will no longer be able to access this value. 3. With your API key, set up Postman or another REST API tool and run the following command to the right You can read more about managing API keys at Understanding API keyshttps://cloud.ibm.com/docs/account?topic=account-manapikey documentation page. Curl command with API key to retrieve token curl -X POST 'https://iam.cloud.ibm.com/identity/token' \ -H 'Content-Type: application/x-www-form-urlencoded' \ -d 'granttype=urn:ibm:params:oauth:grant-type:apikey&apikey=MYAPIKEY' Response json { "accesstoken": "eyJhbGciOiJIUz......sgrKIi8hdFs", "refreshtoken": "SPrXw5tBE3......KBQ+luWQVY=", "tokentype": "Bearer", "expiresin": 3600, "expiration": 1473188353 } 4. Use the value of the accesstoken property for your Watson Data API calls. Set the accesstoken value as the authorization header parameter for requests to the Watson Data APIs. The format is Authorization: Bearer

MethodPathSummary
GET/v2/asset_filesGet a list of file paths.
PUT/v2/asset_filesCreate project, catalog, space or account root folder.
DELETE/v2/asset_filesBatch delete or delete project/catalog/account/space folder.
GET/v2/asset_files/{path}Get Asset File
HEAD/v2/asset_files/{path}Get Asset File Headers
PUT/v2/asset_files/{path}Put New Asset File
DELETE/v2/asset_files/{path}Delete Single Asset File/Folder
POST/v2/asset_files/{path}/signedGet auth signature
POST/v2/asset_files/{path}/deflateCreate archive for target
POST/v2/asset_files/inflateInflate the source archive to the target location
POST/v2/asset_files/copyCopy Asset File
POST/v2/asset_files/async_copyCopy Asset File (async)
POST/v2/asset_files/git_transactions/exportGit Export
POST/v2/asset_files/git_transactions/importGit Import
POST/v2/asset_files/git_transactions/remoteGit Add Remote
POST/v2/asset_files/git_transactions/delete_remoteGit Remove Remote
POST/v2/asset_files/git_transactions/fetchGit Fetch
POST/v2/asset_files/git_transactions/statusGit status
POST/v2/asset_files/git_transactions/pullGit Pull
PUT/v2/asset_files/git_transactions/settingsChange Git Settings
GET/v2/asset_files/git_transactions/settingsGet Git Settings
POST/v2/asset_containers/archiveArchive the asset container
GET/v2/asset_containers/archive_infoGet archive information of the asset container
GET/v2/asset_containers/configurationsGet configurations
PUT/v2/asset_containers/configurationsReplace or create configurations
POST/v2/asset_containers/restoreRestore the asset container
GET/v2/asset_listsList all asset lists defined for an account
POST/v2/asset_listsCreate a new asset list
DELETE/v2/asset_listsDelete asset lists
GET/v2/asset_lists/{asset_list_id}Retrieve an asset list identified by ID
DELETE/v2/asset_lists/{asset_list_id}Delete an asset list identified by ID
PATCH/v2/asset_lists/{asset_list_id}Update the metadata of an asset list
GET/v2/asset_lists/{asset_list_id}/itemsList the items of an asset list identified by ID
GET/v2/asset_lists/{asset_list_id}/items/{asset_list_item_id}Retrieve an item in an asset list
PATCH/v2/asset_lists/{asset_list_id}/items/{asset_list_item_id}Update an asset list item
GET/v2/asset_relationship_typesSearches for relationship types
POST/v2/asset_relationship_typesCreates an asset relationship type
POST/v2/asset_relationship_types/search_endsSearches for relationship type ends
POST/v2/asset_relationship_types/search_used_endsFinds relationship types that are used by an asset, column or governance artifact
DELETE/v2/asset_relationship_types/{relationship_type_id}deleteRelationshipType
PATCH/v2/asset_relationship_types/{relationship_type_id}Patches a relationship type
GET/v2/asset_typesList all asset types defined for an account, catalog, project or space.
POST/v2/asset_typesCreates an asset type in an account, catalog, project or space.
GET/v2/asset_types/{type_name}Retrieves an asset type of a given name.
PUT/v2/asset_types/{type_name}Replace an asset type
DELETE/v2/asset_types/{type_name}Deletes an asset type
GET/v2/asset_types/{type_name}/relationshipsFinds relationship types for an asset type
POST/v2/asset_types/{type_name}/searchSearch for asset metadata within assets of the specified type
GET/v2/asset_types/{type_name}/statusGet the status of an account scope or global scope asset type.
POST/v2/assetsCreate an asset
GET/v2/assets/bulkGet one or more assets.
DELETE/v2/assets/bulkMarks existing assets for delete
GET/v2/assets/bulk/members/{member_id}Get assets membership for a specific user
POST/v2/assets/bulk_copyCopies one or more assets and, if deep copy option is on, their related assets from a source container to a target container.
POST/v2/assets/bulk_createCreate one or more assets.
POST/v2/assets/bulk_patchPatch one or more assets.
GET/v2/assets/copy_status/{copy_task_id}Gets the status of asset copy operation
POST/v2/assets/create_object_urlCreate a PUT signed url for an object or a file
GET/v2/assets/deepcopy/{deep_copy_task_id}Gets the status of a deep copy operation
POST/v2/assets/duplicates/bulk_searchBulk search duplicate assets
POST/v2/assets/duplicates/searchSearch duplicate assets
GET/v2/assets/ibm_data_sourceGet an ibm_data_source asset
POST/v2/assets/publishPublish an asset from a project which is only referenced in that project
GET/v2/assets/{asset_id}Get an asset
DELETE/v2/assets/{asset_id}Marks an existing asset for delete
PATCH/v2/assets/{asset_id}Update an asset
POST/v2/assets/{asset_id}/cloneClone an asset
PATCH/v2/assets/{asset_id}/collaboratorsAdd/Update asset collaborators
POST/v2/assets/{asset_id}/deepcopyDeep copies an asset and its related assets to a catalog, project, or space
PUT/v2/assets/{asset_id}/ownerUpdate the owner of an asset
PUT/v2/assets/{asset_id}/permsUpdate privacy settings of an asset
POST/v2/assets/{asset_id}/promotePromote an asset
POST/v2/assets/{asset_id}/publishPublish an asset
POST/v2/assets/get_relationshipsFinds related assets
POST/v2/assets/search_relationshipsSearches for relationships
POST/v2/assets/set_relationshipsCreate asset relationships
POST/v2/assets/unset_relationshipsDeletes asset relationships
GET/v2/assets/{asset_id}/relationship_typesFinds relationship types used by an asset
GET/v2/assets/{asset_id}/relationshipsFinds related assets
PUT/v2/assets/{asset_id}/relationships/{relationship_name}Create asset relationships
DELETE/v2/assets/{asset_id}/relationships/{relationship_name}Deletes asset relationships
HEAD/v2/assets/{asset_id}/relationships/{relationship_name}Determine if a relationship exists between an asset and a target artifact
POST/v2/assets/{asset_id}/attachmentsCreate an attachment
GET/v2/assets/{asset_id}/attachments/{attachment_id}Get an attachment
DELETE/v2/assets/{asset_id}/attachments/{attachment_id}Delete an attachment
PATCH/v2/assets/{asset_id}/attachments/{attachment_id}Update attachment metadata
POST/v2/assets/{asset_id}/attachments/{attachment_id}/completeMark an attachment as transfer complete
PATCH/v2/assets/{asset_id}/attachments/{attachment_id}/datasource_typeAuto update attachment's datasource_type from connection asset
GET/v2/assets/{asset_id}/attachments/{attachment_id}/resourcesGet resources info for an attachment
PUT/v2/assets/{asset_id}/attachments/{attachment_id}/resourcesIncrease resources for an attachment
GET/v2/assets/{asset_id}/attributesList all attributes
POST/v2/assets/{asset_id}/attributesCreate an attribute
GET/v2/assets/{asset_id}/attributes/{attribute_key}Get an attribute
DELETE/v2/assets/{asset_id}/attributes/{attribute_key}Delete an attribute
PATCH/v2/assets/{asset_id}/attributes/{attribute_key}Update attributes
GET/v2/assets/{asset_id}/conflictsGet asset document conflicts
DELETE/v2/assets/{asset_id}/conflictsDelete asset document conflicts
GET/v2/assets/{asset_id}/imagesGet the image of asset
PUT/v2/assets/{asset_id}/imagesUpload an image for asset
DELETE/v2/assets/{asset_id}/images/{image_id}Delete the image of asset
GET/v2/assets/{asset_id}/notesGet asset or column notes
POST/v2/assets/{asset_id}/notesCreate notes on an asset
GET/v2/assets/{asset_id}/notes/{note_id}Get an asset or column note
DELETE/v2/assets/{asset_id}/notes/{note_id}Delete an asset or a column note
PATCH/v2/assets/{asset_id}/notes/{note_id}Update an asset or column note
GET/v2/assets/{asset_id}/ratingsGet ratings of an asset
POST/v2/assets/{asset_id}/ratingsRate an asset
GET/v2/assets/{asset_id}/ratings/statsGet the count of each rating value for the specified asset
DELETE/v2/assets/{asset_id}/ratings/{asset_rating_id}Delete an asset rating
PATCH/v2/assets/{asset_id}/ratings/{asset_rating_id}Use this API to update an asset rating.
GET/v2/assets/{asset_id}/revisionsGet a list of revisions for an asset
POST/v2/assets/{asset_id}/revisionsCommit a revision of an asset
DELETE/v2/assets/{asset_id}/revisionsDelete a revision
POST/v2/cams/admin/index_repairsFind and repair stuck temporary design documents by creating cache entries that resume their processing
GET/v2/cams/admin/index_repairs/{id}Gets the status of a temporary design document repair operation
POST/v2/cams/admin/reconfigureReconfigure the asset container
DELETE/v2/cams/admin/roles_cache_entryinvalidateRoleCacheEntry
GET/v2/cams/metrics/asset_list_countGet metrics of the asset lists
GET/v2/cams/metrics/user_access_countGet metrics of the users who accessed the catalogs
GET/v2/catalogsList all catalogs for a specific account
POST/v2/catalogsCreate a catalog
GET/v2/catalogs/defaultRetrieve the default catalog
POST/v2/catalogs/defaultCreate the default catalog
POST/v2/catalogs/default/rehomeRehome one or more synced assets.
GET/v2/catalogs/default/rehome/statusMonitor status of rehome task
GET/v2/catalogs/{catalog_id}Get a catalog by catalog ID
DELETE/v2/catalogs/{catalog_id}Delete a catalog by catalog ID
PATCH/v2/catalogs/{catalog_id}Update catalog
GET/v2/catalogs/{catalog_id}/propertiesList all properties of a catalog
PATCH/v2/catalogs/{catalog_id}/propertiesUpdate catalog properties
GET/v2/catalogs/{catalog_id}/properties/{property_key}Get a single property in a catalog
PATCH/v2/catalogs/{catalog_id}/reconfigureUpdate catalog connections
GET/v2/catalogs/{catalog_id}/stateGet the catalog state
POST/v2/catalogs/export_assetsExport as a zip file containing appropriate csv files for the selected assets
POST/v2/catalogs/import_assetsProcess an import asset
POST/v2/catalogs/temporary_credentialsRequest temporary security credentials
GET/v2/catalogs/{catalog_id}/collections/{collection_id}Get a catalog-level collection by collection ID
PUT/v2/catalogs/{catalog_id}/collections/{collection_id}Update a catalog-level collection for a catalog
DELETE/v2/catalogs/{catalog_id}/collections/{collection_id}Delete a catalog-level collection by collection id
GET/v2/catalogs/{catalog_id}/membersList all members of the catalog
POST/v2/catalogs/{catalog_id}/membersAdd members to a catalog
DELETE/v2/catalogs/{catalog_id}/members/bulkDelete members from a catalog
GET/v2/catalogs/{catalog_id}/members/{member_id}Get catalog membership for a specific user
DELETE/v2/catalogs/{catalog_id}/members/{member_id}Delete a member from a catalog
PATCH/v2/catalogs/{catalog_id}/members/{member_id}Update members in a catalog
POST/v2/data_assetsCreate a data asset
GET/v2/data_assets/{data_asset_id}Get a data asset
GET/v2/data_assets/{data_asset_id}/columnsGet columns of a data asset
POST/v2/folder_assetsCreate a folder asset
GET/v2/folder_assets/{asset_id}Get a folder asset
GET/v2/folder_assets/{asset_id}/contentsGet a signed URL of an item to be downloaded
GET/v2/trashed_assetsList all assets in the trash (Marked for delete)
GET/v2/trashed_assets/countGet count of all assets in the trash (Marked for delete)
DELETE/v2/trashed_assets/purge_allDelete all assets from trash
GET/v2/trashed_assets/{asset_id}Get a soft-deleted object from trash
DELETE/v2/trashed_assets/{asset_id}Delete an asset from the trash
POST/v2/trashed_assets/{asset_id}/restoreRestore an asset from the trash
GET/v2/connectionsList defined connections
POST/v2/connectionsDefine connection
GET/v2/connections/{connection_id}Get connection
DELETE/v2/connections/{connection_id}Delete connection
PATCH/v2/connections/{connection_id}Update connection
POST/v2/connections/upgradeUpgrade connections
POST/v2/connections/assetsDiscover assets
GET/v2/connections/{connection_id}/assetsDiscover assets
GET/v2/connections/assets/{data_asset_id}Discover data asset
GET/v2/connections/{connection_id}/actionsList actions
PUT/v2/connections/{connection_id}/actions/{action_name}Perform action
GET/v2/connections/files/{file_name}Download a file
POST/v2/connections/files/{file_name}Upload a file
DELETE/v2/connections/files/{file_name}Delete a file
GET/v2/connections/filesList files
PUT/v2/connections/filesMigrate files
GET/v2/datasource_typesList defined types of data sources
POST/v2/datasource_typesDefine data source type
GET/v2/datasource_types/{datasource_type}Get details for type of data source
DELETE/v2/datasource_types/{datasource_type}Delete data source type
PATCH/v2/datasource_types/{datasource_type}Update datasource type
POST/v2/metadata_enrichment/metadata_enrichment_areaCreate a metadata enrichment area asset
GET/v2/metadata_enrichment/metadata_enrichment_area/settingsRetrieve metadata enrichment settings
PUT/v2/metadata_enrichment/metadata_enrichment_area/settingsCreate or update metadata enrichment settings
GET/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}Retrieve details of a Metadata Enrichment Area asset
DELETE/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}Delete a metadata enrichment asset
PATCH/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}edit a metadata enrichment area asset
PATCH/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scopeAdd or remove assets from data scope
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/assign_termsAssign business terms to data assets
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/columns/assign_termsAssign business terms to columns of data assets
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/columns/dataclassAssign or remove a data class to columns of data assets
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/columns/remove_termsRemove business terms from columns of data assets.
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/columns/reviewAdds or updates the review timestamp for given columns.
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/columns/unreviewRemoves review timestamp for given columns.
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/enrichEnrich selected data assets
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/remove_termsRemove business terms from data assets
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/reviewReview a given list of data assets.
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/data_scope/enrichment_assets/unreviewRemoves review timestamp from the given assets
POST/v2/metadata_enrichment/metadata_enrichment_area/{metadata_enrichment_area_id}/publish_assetsPublish all assets or a subset of assets of a Metadata Enrichment Area to a catalog
POST/v2/metadata_importsCreate a Metadata Import asset
POST/v2/metadata_imports/bulk_delete_assetsBulk delete data assets in Metadata discovery
DELETE/v2/metadata_imports/bulk_delete_metadataImport_assetsBulk delete metadata import assets in Metadata discovery
POST/v2/metadata_imports/bulk_publish_assetsBulk publish data assets in Metadata discovery
GET/v2/metadata_imports/connectionsGet a list of supported datasource types
POST/v2/metadata_imports/job_runs/reconcileReconcile the status of the job run record w.r.t the Discovery status
POST/v2/metadata_imports/recover_taskRestart the pending a job run
POST/v2/metadata_imports/validate_metadata_import_jobValidate the attempt to delete job associated with Metadata import asset
POST/v2/metadata_imports/validate_sap_connectionValidates a SAP Business Metadata connection
GET/v2/metadata_imports/{metadata_import_id}Retrieve details of a Metadata Import
DELETE/v2/metadata_imports/{metadata_import_id}delete a metadata import asset
PATCH/v2/metadata_imports/{metadata_import_id}edit a metadata import asset
POST/v2/metadata_imports/job_runsStart a Metadata Import job
POST/v2/metadata_imports/job_runs/cancelcancel a Metadata Import run
GET/v2/data_profilesList data profiles
POST/v2/data_profilesCreate data profile
GET/v2/data_profiles/{profile_id}Get data profile
DELETE/v2/data_profiles/{profile_id}Delete data profile
PATCH/v2/data_profiles/{profile_id}Update data profile
POST/v2/data_profiles/bulkUpdate data profiles
PUT/v2/data_profiles/{profile_id}/executionStop profiling process
GET/v2/data_profiles/{profile_id}/logsGet profiling logs
GET/v2/data_profiles/dqdimensionsGet the list of data quality dimensions available.
PATCH/v2/data_profiles/classificationModify asset level classification
GET/v2/data_profiles/exportExport data profile
POST/v2/data_profiles/importImport data profile
POST/v2/data_profiles/{profile_id}/unique_valuesThis filters rows from the frequency distribution.
GET/v2/data_profiles/optionsGet data profile options
POST/v2/data_profiles/optionsCreate data profile options
DELETE/v2/data_profiles/optionsDelete data profile options
PATCH/v2/data_profiles/optionsUpdate the data profile options.
POST/v2/data_profiles/resultsPersist profiling results
POST/v2/data_profiles/results/statusUpdate data profile results status
GET/v2/data_profiles/bivariate_resultsGet bivariate results of given asset.
POST/v2/data_profiles/bivariate_resultsPersist bivariate results of given asset.
POST/v2/data_profiles/migrateMigrate data profile quality results to new Data Quality service
GET/v1/hb_tasksList Hummingbird tasks
POST/v1/hb_tasksCreate a Hummingbird task
POST/v1/hb_tasks/stopStop Hummingbird tasks
POST/v1/hb_tasks/deleteDelete Hummingbird tasks
GET/v1/hb_tasks/{hb_task_id}Get HB task
DELETE/v1/hb_tasks/{hb_task_id}Delete Hummingbird task
POST/v1/hb_tasks/{hb_task_id}/startStart Hummingbird task
POST/v1/hb_tasks/{hb_task_id}/stopStop Hummingbird task
GET/v1/hb_tasks/{hb_task_id}/logsGet Hummingbird task logs
GET/data_quality/v4/assetsGet data quality assets
POST/data_quality/v4/assetsCreate Data quality assets
GET/data_quality/v4/assets/{id}Get a data quality asset
DELETE/data_quality/v4/assets/{id}Delete data quality asset
PATCH/data_quality/v4/assets/{id}Update or patch a data quality asset
POST/data_quality/v4/search_dq_assetSearch data quality asset with given native id and type
GET/data_quality/v4/assets/{id}/sla_assessmentsList SLA assessments for an asset
GET/data_quality/v4/assets/{id}/sla_assessments/{assessment_id}Get an SLA assessment
GET/data_quality/v4/assets/{id}/sla_assessments/{assessment_id}/violationsGet the SLA violations for the given assessment
GET/data_quality/v4/checksGet data quality checks
POST/data_quality/v4/checksCreate data quality checks
GET/data_quality/v4/checks/{id}Get a data quality check
DELETE/data_quality/v4/checks/{id}Delete a data quality check
PATCH/data_quality/v4/checks/{id}Update or patch a data quality check
POST/data_quality/v4/search_dq_checkSearch for a data quality check by its native id and type
GET/data_quality/v4/dimensionsGet a list of data quality dimensions
POST/data_quality/v4/dimensionsCreate a data quality dimension
GET/data_quality/v4/dimensions/{id}Get the data quality dimension with the given identifier
DELETE/data_quality/v4/dimensions/{id}Delete the data quality dimension with the given identifier.
PATCH/data_quality/v4/dimensions/{id}Update a data quality dimension as specified in the payload details of the request
POST/data_quality/v4/search_dq_dimensionSearch for data quality dimensions by name or part of their names
GET/data_quality/v4/issuesGet a list of data quality issues
POST/data_quality/v4/issuesCreate a data quality issue
GET/data_quality/v4/issues/{id}Get the data quality issue with the given identifier
PATCH/data_quality/v4/issues/{id}Update a data quality issue as specified in the payload details of the request.
POST/data_quality/v4/search_dq_issueSearch for a data quality issue by its native id
POST/data_quality/v4/create_issuesCreate several data quality issues. The related DQ assets referenced by their native ID are created if they do not already exist
GET/data_quality/v4/scoresGet a list of data quality scores for a given asset
GET/data_quality/v4/bulkScoresGet a list of data quality scores for a given assets
GET/data_quality/v4/slasGet a list of data quality SLAs
POST/data_quality/v4/slasCreate a data quality SLA
GET/data_quality/v4/slas/{sla_id}Get a data quality SLA
PUT/data_quality/v4/slas/{sla_id}Update a data quality SLA
DELETE/data_quality/v4/slas/{sla_id}Delete a data quality SLA
GET/data_quality/v4/assets/{id}/sla_assessmentsList SLA assessments for an asset
GET/data_quality/v4/assets/{id}/sla_assessments/{assessment_id}Get an SLA assessment
GET/data_quality/v4/assets/{id}/sla_assessments/{assessment_id}/violationsGet the SLA violations for the given assessment
GET/data_quality/v4/sla_assessment_activationGet the status of the data quality SLA assessment activation
PUT/data_quality/v4/sla_assessment_activationActivate or deactivate data quality SLA assessments
GET/data_quality/v3/projects/{project_id}/rulesList all data quality rules or a subset of them
POST/data_quality/v3/projects/{project_id}/rulesCreate data quality rule
DELETE/data_quality/v3/projects/{project_id}/rulesDelete data quality rules
POST/data_quality/v3/projects/{project_id}/validate_ruleValidate data quality rule
GET/data_quality/v3/projects/{project_id}/rules/{id}Get data quality rule
DELETE/data_quality/v3/projects/{project_id}/rules/{id}Delete data quality rule
PATCH/data_quality/v3/projects/{project_id}/rules/{id}Update data quality rule
POST/data_quality/v3/projects/{project_id}/rules/{id}/executeRun data quality rule
GET/data_quality/v3/catalogs/{catalog_id}/rules/{id}Get data quality rule from catalog
GET/data_quality/v3/projects/{project_id}/rules/{rule_id}/executionsList history of all data quality rule run results or a subset of them
GET/data_quality/v3/projects/{project_id}/rules/{rule_id}/executions/{id}Get the data quality rule run
GET/data_quality/v3/projects/{project_id}/definitionsList all data quality definitions or a subset of them
POST/data_quality/v3/projects/{project_id}/definitionsCreate data quality definition
DELETE/data_quality/v3/projects/{project_id}/definitionsDelete data quality definitions
POST/data_quality/v3/projects/{project_id}/validate_definitionValidate data quality definition expression
GET/data_quality/v3/projects/{project_id}/definitions/{id}Get data quality definition
PUT/data_quality/v3/projects/{project_id}/definitions/{id}Replace data quality definition
DELETE/data_quality/v3/projects/{project_id}/definitions/{id}Delete data quality definition
PATCH/data_quality/v3/projects/{project_id}/definitions/{id}Update data quality definition
GET/data_quality/v3/catalogs/{catalog_id}/definitions/{id}Get data quality definition from catalog
PATCH/data_quality/v3/catalogs/{catalog_id}/definitions/{id}Update data quality definition in catlog
GET/data_quality/v3/projects/{project_id}/dimensionsList all data quality dimensions
GET/data_quality/v3/projects/{project_id}/settingsGet project settings for data quality rules
PUT/data_quality/v3/projects/{project_id}/settingsReplace project settings for data quality rules
GET/v2/environmentsList environments.
POST/v2/environmentsCreate a new environment.
GET/v2/environments/{environment_guid}Retrieve an environment.
DELETE/v2/environments/{environment_guid}Delete an environment.
PATCH/v2/environments/{environment_guid}Update an environment.
GET/v2/hardware_specificationsList hardware specifications.
POST/v2/hardware_specificationsCreate a new hardware specification.
GET/v2/hardware_specifications/{hardware_specification_guid}Retrieve a hardware specification.
DELETE/v2/hardware_specifications/{hardware_specification_guid}Delete a hardware specification.
PATCH/v2/hardware_specifications/{hardware_specification_guid}Update a hardware specification.
GET/v2/software_specificationsList software specifications.
POST/v2/software_specificationsCreate a new software specification.
PATCH/v2/software_specifications/{software_specification_guid}Update a software specification.
GET/v2/software_specifications/{software_specification_guid}Retrieve a software specification.
DELETE/v2/software_specifications/{software_specification_guid}Delete a software specification.
PUT/v2/software_specifications/{software_specification_guid}/package_extensions/{package_extension_guid}Add a package extension to a software specification.
DELETE/v2/software_specifications/{software_specification_guid}/package_extensions/{package_extension_guid}Remove a package extension from a software specification.
GET/v2/package_extensionsList package extensions.
POST/v2/package_extensionsCreate a new package extension.
POST/v2/package_extensions/{package_extension_guid}/upload_completeMark file upload complete.
PATCH/v2/package_extensions/{package_extension_guid}Update a package extension.
GET/v2/package_extensions/{package_extension_guid}Retrieve a package extension.
DELETE/v2/package_extensions/{package_extension_guid}Delete a package extension.
GET/v2/runtime_definitionsList runtime definitions.
POST/v2/runtime_definitionsCreate a new runtime definition.
GET/v2/runtime_definitions/{runtime_definition_guid}Retrieve a runtime definition.
PUT/v2/runtime_definitions/{runtime_definition_guid}Update a runtime definition.
DELETE/v2/runtime_definitions/{runtime_definition_guid}Delete a runtime definition.
POST/v3/search/update_by_queryA update operation allowing you to update artifacts based on a simple query.
GET/v3/search/sss_heartbeatTest if sss is up.
GET/v3/searchExecute a query based on the Lucene Syntax
POST/v3/searchExecute a query and pass in a structured query conforming to the Elasticsearch Domain Specific Language.
GET/v3/search/search_facetThis API will return all available pre search filters
POST/v3/categoriesCreates a category in the glossary
POST/v3/categories/collaborators/bootstrapStart category boostrap process
GET/v3/categories/collaborators/bootstrap/statusGet status of category bootstrap process
GET/v3/categories/collaborators/bootstrap/status/historyGet history status of category bootstrap process
GET/v3/categories/hierarchyRetrieves category hierarchy paths for given artifact ids of categories
POST/v3/categories/hierarchyRetrieves category hierarchy paths for given artifact ids of categories
GET/v3/categories/uncategorizedRetrieves the special [uncategorized] category
DELETE/v3/categories/{category_id}Deletes the category with a given guid
GET/v3/categories/{category_id}Retrieves category with given guid
PATCH/v3/categories/{category_id}Updates category with given id
DELETE/v3/categories/{category_id}/artifacts/{artifact_id}Removes an artifact from its secondary category
PUT/v3/categories/{category_id}/artifacts/{artifact_id}Adds an artifact to a category
GET/v3/categories/{category_id}/collaboratorsRetrieves collaborators for given artifact id of a category
POST/v3/categories/{category_id}/collaboratorsCreates single collaborator for given category
DELETE/v3/categories/{category_id}/collaborators/{collaborator_id}Deletes single collaborator
GET/v3/categories/{category_id}/relationshipsList the relationships of the given type for the specified category
DELETE/v3/categories/{category_id}/relationships/{relationship_id}Remove a relationship from category
GET/v3/category_role_statisticsGet role usage statistics
GET/v3/category_statisticsReturns list of categories which has specific role assigned, along with number of assignments for users and groups
POST/v3/classificationsCreates a classification in the glossary
GET/v3/classifications/{artifact_id}/versionsRetrieves classification with given guid and status
DELETE/v3/classifications/{artifact_id}/versions/{version_id}Deletes a draft or published version of an artifact
GET/v3/classifications/{artifact_id}/versions/{version_id}Retrieves classification with given guid
PATCH/v3/classifications/{artifact_id}/versions/{version_id}Updates a draft or published artifact
GET/v3/classifications/{artifact_id}/versions/{version_id}/relationshipsList the associations of the given type for the specified classification
POST/v3/classifications/{artifact_id}/versions/{version_id}/relationshipsCreate relationships for an artifact in the glossary
DELETE/v3/classifications/{artifact_id}/versions/{version_id}/relationships/{relationship_id}Deletes relationships for an artifact in the glossary
GET/v3/data_classesRetrieves the data classes matching specified parameters.
POST/v3/data_classesCreates a draft data class in the glossary
GET/v3/data_classes/{artifact_id}/versionsRetrieves data class with given guid and status
DELETE/v3/data_classes/{artifact_id}/versions/{version_id}Deletes a draft or published version of an artifact
GET/v3/data_classes/{artifact_id}/versions/{version_id}Retrieves data class with given guid
PATCH/v3/data_classes/{artifact_id}/versions/{version_id}Updates a draft or published artifact
GET/v3/data_classes/{artifact_id}/versions/{version_id}/relationshipsList the relationships of the given type for the specified data class
POST/v3/data_classes/{artifact_id}/versions/{version_id}/relationshipsCreate relationships for an artifact in the glossary
DELETE/v3/data_classes/{artifact_id}/versions/{version_id}/relationships/{relationship_id}Deletes relationships for an artifact in the glossary
GET/v3/glossary_status/heartbeatBusiness Glossary Heartbeat
POST/v3/glossary_status/tenant_initTenant init and status
GET/v3/glossary_status/tenant_init_statusTenant init and status
POST/v3/glossary_termsCreates draft terms in the glossary
GET/v3/glossary_terms/{artifact_id}/versionsRetrieves versions of a term for the given artifact_id and status
DELETE/v3/glossary_terms/{artifact_id}/versions/{version_id}Deletes a draft or published version of an artifact
GET/v3/glossary_terms/{artifact_id}/versions/{version_id}Gets the term in the glossary with a given version id
PATCH/v3/glossary_terms/{artifact_id}/versions/{version_id}Updates a draft or published artifact
GET/v3/glossary_terms/{artifact_id}/versions/{version_id}/relationshipsList the relationships for the specified term
POST/v3/glossary_terms/{artifact_id}/versions/{version_id}/relationshipsCreate relationships for an artifact in the glossary
DELETE/v3/glossary_terms/{artifact_id}/versions/{version_id}/relationships/{relationship_id}Deletes relationships for an artifact in the glossary
POST/v3/governance_artifact_types/custom_attribute_definitions/exportExports custom attribute definitions to a json file
POST/v3/governance_artifact_types/custom_attribute_definitions/importImport values for custom attribute definitions from specified json file
GET/v3/governance_artifact_types/exportExport values of all supported types to a ZIP file
POST/v3/governance_artifact_types/importImport values from specified ZIP file
POST/v3/governance_artifact_types/import/cleanup/{process_id}Cleanup ZIP import process
GET/v3/governance_artifact_types/import/status/{process_id}Import of assets status
GET/v3/governance_artifact_types/{artifact_type}Get artifacts of given type that are either published or drafts matching specified criteria
GET/v3/governance_artifact_types/{artifact_type}/custom_attribute_definitionsRetrieves custom attribute definitions with given artifact type
POST/v3/governance_artifact_types/{artifact_type}/custom_attribute_definitionsCreates custom attribute definition in the glossary
DELETE/v3/governance_artifact_types/{artifact_type}/custom_attribute_definitions/{custom_attribute_definition_artifact_id}Deletes the custom attribute definition with a given artifact_id
GET/v3/governance_artifact_types/{artifact_type}/custom_attribute_definitions/{custom_attribute_definition_artifact_id}Retrieves custom attribute definition with given artifact_id
PATCH/v3/governance_artifact_types/{artifact_type}/custom_attribute_definitions/{custom_attribute_definition_artifact_id}Updates custom attribute definition with given artifact_id
POST/v3/governance_artifact_types/{artifact_type}/deleteDelete a list of draft or published versions of given artifact_type
GET/v3/governance_artifact_types/{artifact_type}/exportExports values of a specified type to a csv file
POST/v3/governance_artifact_types/{artifact_type}/importImport values from specified csv file
POST/v3/governance_artifact_types/{artifact_type}/searchSearch for a list of drafts of given artifact_type
GET/v3/governance_artifact_types/{artifact_type}/{artifact_id}Get the latest published version of the specified artifact
POST/v3/governance_artifact_types/{artifact_type}/{artifact_id}/moveChanges the parent category of a published artifact with given id
GET/v3/governance_artifact_types/{artifact_type}/{artifact_id}/versions/{version_id}/aggregated_logsGet development logs & Comments for a draft artifact version
GET/v3/governance_artifact_types/{artifact_type}/{artifact_id}/versions/{version_id}/aggregated_logs/{mod_id}Get development logs & Comments for a draft artifact version with development log id
POST/v3/governance_artifact_types/{artifact_type}/{artifact_id}/versions/{version_id}/commentsAdd a comment for a draft artifact version
DELETE/v3/governance_artifact_types/{artifact_type}/{artifact_id}/versions/{version_id}/comments/{comment_id}Delete a comment on a draft artifact version
PATCH/v3/governance_artifact_types/{artifact_type}/{artifact_id}/versions/{version_id}/comments/{comment_id}Update a comment on a draft artifact version
GET/v3/governance_artifact_types/{artifact_type}/{artifact_id}/versions/{version_id}/logsGet development logs & Comments for a draft artifact version
POST/v3/policiesCreates a policy in the glossary
GET/v3/policies/{artifact_id}/versionsRetrieves versions of a policy for the given artifact_id and status
DELETE/v3/policies/{artifact_id}/versions/{version_id}Deletes a draft or published version of an artifact
GET/v3/policies/{artifact_id}/versions/{version_id}Retrieves versions of a policy for the given artifact_id and status
PATCH/v3/policies/{artifact_id}/versions/{version_id}Updates policy with given artifact id and version id
PATCH/v3/policies/{artifact_id}/versions/{version_id}/data_protection_rulesUpdates DPR rule relationships of a published policy using its artifact id and version id
GET/v3/policies/{artifact_id}/versions/{version_id}/relationshipsList the relationships for the specified policy
POST/v3/policies/{artifact_id}/versions/{version_id}/relationshipsCreate relationships for an artifact in the glossary
DELETE/v3/policies/{artifact_id}/versions/{version_id}/relationships/{relationship_id}Deletes a relationship from a draft policy
GET/v3/relationshipsRetrieves relationships for a given artifact type, artifact_id and artifact version_id
POST/v3/rulesCreates a rule in the glossary
GET/v3/rules/{artifact_id}/versionsRetrieves rule with given artifact_id and status
DELETE/v3/rules/{artifact_id}/versions/{version_id}Deletes a draft or published version of an artifact
GET/v3/rules/{artifact_id}/versions/{version_id}Retrieves rule with given guid
PATCH/v3/rules/{artifact_id}/versions/{version_id}Updates rule with given id
GET/v3/rules/{artifact_id}/versions/{version_id}/relationshipsList the relationships of the given type for the specified rule
POST/v3/rules/{artifact_id}/versions/{version_id}/relationshipsCreate relationships for an artifact in the glossary
DELETE/v3/rules/{artifact_id}/versions/{version_id}/relationships/{relationship_id}Deletes a relationship of a rule artifact
POST/v4/reference_data_setsCreate a reference data set
GET/v4/reference_data_sets/{artifact_id}/versionsRetrieve a reference data set with given artifact_id and status
DELETE/v4/reference_data_sets/{artifact_id}/versions/{version_id}Delete a reference data set with given artifact_id and version_id
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}Retrieve a reference data set with given artifact_id and version_id
PATCH/v4/reference_data_sets/{artifact_id}/versions/{version_id}Update a reference data set with given artifact id and version id
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/custom_columnsCreate Custom Column definitions
DELETE/v4/reference_data_sets/{artifact_id}/versions/{version_id}/custom_columns/{column_id}Delete a Custom Column definition by column_id
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/custom_columns/{column_id}Retrieve a Custom Column definition with given column_id
PATCH/v4/reference_data_sets/{artifact_id}/versions/{version_id}/custom_columns/{column_id}Update Custom Column properties with given column_id
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/relationshipsList the relationships of the given type for the specified reference data set
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/relationshipsAssociate Reference data set identified by artifact_id and version_id with other governance artifacts
DELETE/v4/reference_data_sets/{artifact_id}/versions/{version_id}/relationships/{relationship_id}Delete the relationship associated to reference data set with specified artifact_id and version_id
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/value_importsImport reference data values from csv file to the reference data set with specified artifact_id and version_id
DELETE/v4/reference_data_sets/{artifact_id}/versions/{version_id}/value_imports/{import_id}Request cancellation of a ongoing reference data values import process with specified import_id
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/value_imports/{import_id}Get current state of reference data values import process with specified import_id
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/value_relationshipsCreates relationships for reference data values
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/value_relationships/{rdv_artifact_id}Retrieve a reference data value relationships with given reference data set artifact_id and version_id and reference data value artifact_id
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/value_searchSearch for reference data value(s) details with given RDS artifact_id and version_id using specific code or text value filter
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/valuesRetrieve reference data value(s) details with given RDS artifact_id and version_id and for specific reference data value artifact_ids
PATCH/v4/reference_data_sets/{artifact_id}/versions/{version_id}/valuesRemove or update reference data values for the specified reference data set
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/valuesAdd reference data value to the specified reference data set
PUT/v4/reference_data_sets/{artifact_id}/versions/{version_id}/valuesAdd or update reference data values for the specified reference data set
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/values/exportExports values of a specified reference data set with specified artifact_id and version_id to a csv file
DELETE/v4/reference_data_sets/{artifact_id}/versions/{version_id}/values/{rdv_artifact_id}Delete the reference data value identified by its artifact id in the Reference Data Set with specified artifact_id and version_id
GET/v4/reference_data_sets/{artifact_id}/versions/{version_id}/values/{rdv_artifact_id}Retrieve reference data value(s) details with given RDS artifact_id and version_id and for specific reference data value artifact_ids
PATCH/v4/reference_data_sets/{artifact_id}/versions/{version_id}/values/{rdv_artifact_id}Update reference data value in the specified reference data set
POST/v4/reference_data_sets/{artifact_id}/versions/{version_id}/values/{rdv_artifact_id}/value_relationshipsCreates relationships for reference data value
DELETE/v4/reference_data_sets/{artifact_id}/versions/{version_id}/values/{rdv_artifact_id}/value_relationships/{relationship_id}Delete the relationship associated to reference data value identified by its artifact id in the Reference Data Set with specified artifact_id and version_id
GET/v2/jobsGet list of jobs under a project or a space.
POST/v2/jobsCreate a new job.
GET/v2/jobs/{job_id}Get the information of job identified by the ID.
DELETE/v2/jobs/{job_id}Delete a specific job.
PATCH/v2/jobs/{job_id}Update information of a job.
GET/v2/jobs/serving_name/{serving_name}Get the availability of a given serving_name
GET/v2/jobs/{job_id}/runsGet list of runs of a job.
POST/v2/jobs/{job_id}/runsStart a run for a job.
GET/v2/jobs/{job_id}/runs/{run_id}Get a specific run of a job.
DELETE/v2/jobs/{job_id}/runs/{run_id}Delete a run.
GET/v2/jobs/{job_id}/runs/{run_id}/logsRetrieve runtime log of a run.
POST/v2/jobs/{job_id}/runs/{run_id}/cancelCancel a run.
POST/v2/jobs/{job_id}/runs/{run_id}/pausePause a run.
POST/v2/jobs/{job_id}/runs/{run_id}/resumeResume a run.
GET/v1/knowledge_accelerators/asset_assign_terms/status/{process_id}Gets the status of assigning terms to the asset
POST/v1/knowledge_accelerators/asset_assign_termsAssigns terms to the asset using the specified strategy, for example industrymodels_ldm
POST/v1/knowledge_accelerators/{ka_id}/copy_itemsCopy Knowledge Accelerator items into project
GET/v1/knowledge_accelerators/{id}Get a specific Knowledge Accelerator
POST/v1/knowledge_accelerators/{ka_id}/import_itemsImport specified Knowledge Accelerator items into the glossary
GET/v1/knowledge_accelerators/import_itemsGet what Knowledge Accelerator items are currently imported into glossary
GET/v1/knowledge_acceleratorsGet all Knowledge Accelerators
GET/v3/enforcement/governance_typeslist all governance types
GET/v3/enforcement/governance_types/{governance_type_name}retrieve a governanceType
GET/v3/enforcement/lhs/udplist user defined rule predicate terms
POST/v3/enforcement/lhs/udpcreate user defined left hand side term
GET/v3/enforcement/lhs/udp/{lhsTermId}get a user defined left hand side term
DELETE/v3/enforcement/lhs/udp/{lhsTermId}delete a user defined left hand side term
GET/v3/enforcement/policy_metrics/analysis/3dretrieve and aggregate policy related metrics
GET/v3/enforcement/policy_metricsretrieve and aggregate policy related metrics
GET/v3/enforcement/roleslist all roles in policy engine.
POST/v3/enforcement/rolescreate a custom role
GET/v3/enforcement/roles/{role_id}retrieve a role
PUT/v3/enforcement/roles/{role_id}update a custom category role
DELETE/v3/enforcement/roles/{role_id}delete a custom category role
GET/v3/enforcement/roles/permissionslist all permissions in policy engine.
PUT/v3/enforcement/rules/sync/{rule_id}Sync a rule
GET/v3/enforcement/rules/{rule_id}retrieve a rule
PUT/v3/enforcement/rules/{rule_id}update a rule
DELETE/v3/enforcement/rules/{rule_id}delete a rule
GET/v3/enforcement/ruleslist all rules
POST/v3/enforcement/rulescreate a rule
GET/v3/enforcement/rules/exportexport all rules
GET/v3/enforcement/rules/{rule_id}/termsretrieve terms used in a rule
POST/v3/enforcement/rules/importimport rules
GET/v3/enforcement/settingsretrieve tenant settings
PUT/v3/enforcement/settingsupdate tenant settings
GET/v2/projectsList projects
GET/v2/projects/totalGet project total
GET/v2/projects/{project_id}Get project
PATCH/v2/projects/{project_id}Update project
GET/v2/projects/{project_id}/membersList members
POST/v2/projects/{project_id}/membersCreate members
DELETE/v2/projects/{project_id}/membersDelete members
PATCH/v2/projects/{project_id}/membersUpdate members
GET/v2/projects/{project_id}/members/{user_name}Get member
DELETE/v2/projects/{project_id}/members/{user_name}Delete member
GET/v2/projects/{project_id}/tagsList tags
POST/v2/projects/{project_id}/tagsCreate tags
DELETE/v2/projects/{project_id}/tagsDelete tags
PATCH/v2/projects/{project_id}/tagsUpdate tags
POST/v2/projects/{project_id}/tags/{tag_name}Create tag
DELETE/v2/projects/{project_id}/tags/{tag_name}Delete tag
GET/v2/projects/{project_id}/settings/foldersGet folders settings
PUT/v2/projects/{project_id}/settings/foldersUpdate folders settings
POST/transactional/v2/projectsCreate project as a transaction
DELETE/transactional/v2/projects/{project_id}Delete project as a transaction
GET/transactional/v2/projects/{project_id}/transactions/{transaction_id}Get status of import transaction
GET/v3/workflowsGet all available workflows
POST/v3/workflows/all/queryQuery available workflows
GET/v3/workflows/{workflow_id}Get a workflow by id
GET/v3/workflows/{workflow_id}/artifactsGet artifacts managed by the workflow
POST/v3/workflow_user_tasks/{task_id}/actionsUpdate a task
POST/v3/workflow_user_tasks/unclaimUnclaim tasks
POST/v3/workflow_user_tasks/candidatesAdd candidate users to tasks
POST/v3/workflow_user_tasks/actionsUpdate multiple tasks
GET/v3/workflow_user_tasksGet all user tasks that involve the current user
GET/v3/workflow_user_tasks/{task_id}Get a user task by id
GET/v3/workflow_templates/all/task_categories_by_typeGet all possible task categories grouped by workflow type
GET/v3/workflow_templates/all/task_categoriesGet all possible task categories
GET/v3/workflow_stats/user_task_statusGet the current user task status (summary by state)